shishi_as_process(3)

NAME
shishi_as_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_process(Shishi * handle, Shishi_asn1 asreq, Shishi_asn1 asrep, const char * string, Shishi_asn1 * enckdcreppart);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 asreq
    input variable that holds the sent KDC-REQ.

Shishi_asn1 asrep
    input variable that holds the received KDC-REP.

const char * string
    input variable with zero terminated password.

Shishi_asn1 * enckdcreppart
    output variable that holds new EncKDCRepPart.

DESCRIPTION
Process an AS client exchange and output decrypted EncKDCRepPart which holds details for the new ticket received. This function simply derives the encryption key from the password and calls shishi_kdc_process(), which see.

RETURN VALUE
Returns SHISHI_OK iff the AS client exchange was successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.